[[post_data {
    "author" : "KyMAN",
    "since" : 20230707,
    "version" : 20230707
}]]
# Kanvas

El proyecto Kanvas no es más que un pequeño motor gráfico basado en CANVAS para gestionar gráficos en 2D, basado en el sistema que usa JavaScript y CSS para interpretar los mismos: un mapeado de parámetros que determinan el GUI. En este caso se unifican los diferentes tipos de gráficos que se puedan establecer como básicos, y sobre éstos, éste trabaja.

La idea es compactar todos los gráficos sobre un simple JSON, y mediante la accesibilidad de los elementos, irlos variando, siendo más libiano modificar parámetros sobre unn entorno de interpretación que ejecutar cambios sobre el mismo.

A nivel de HTML se trata de un DIV que contiene un DIV para elementos cacheados y un elemento CANVAS el cual será el GUI.

A la hora de gestionar los gráficos, Kanvas puede hacer uso de bloques que se cachean en otros componentes CANVAS, los cuales se almacenarán en el DIV caché.

Por otro lado, en caso de quererse añadir cosas al bloque HTML Kanvas, éstos pueden ser agregados sin problema.

El objeto Kanvas viene siendo un objeto JavaScript basado en función y no en clase. Puede ser extendido mediante la función "extends" sobre otros objetos. El objeto Kanvas consta de 3 fases iniciales las cuales:

1. **Constructor**:

[[html_data {
    "title" : "Kanvas - Manual",
    "url" : "https://kanvas.k3y.pw/es/20230707/",
    "author" : "KyMAN",
    "since" : 20230707,
    "version" : 20230707,
    "key_words" : "kanvas,canvas,kyman,2d,graphics",
    "description" : "Manual del proyecto Kanvas.",
    "project" : "Kanvas",
    "logo" : "https://kanvas.k3y.pw/images/kanvas.png"
}]]
